package at.fhj.airkoality.model;

import com.google.android.gms.maps.model.LatLng;
import com.google.maps.android.clustering.ClusterItem;

public class MapClusterItem implements ClusterItem {


    private LatLng position;
    private String titel;
    private String snippet;

    public MapClusterItem(LatLng position, String titel, String snippet) {
        this.position = position;
        this.titel = titel;
        this.snippet = snippet;
    }

    @Override
    public LatLng getPosition() {
        return position;
    }

    @Override
    public String getTitle() {
        return titel;
    }

    @Override
    public String getSnippet() {
        return snippet;
    }
}
