package at.fhj.airkoality;

import android.app.Application;
import android.app.NotificationChannel;
import android.app.NotificationManager;
import android.os.Build;

public class AirKoalityApplication extends Application {

    public static final String CHANNEL_ID = "location_service_channel";

    @Override
    public void onCreate() {
        super.onCreate();




        //notification channel
        if (Build.VERSION.SDK_INT > Build.VERSION_CODES.O) {

            NotificationChannel locationServiceChannel = new NotificationChannel(
                    CHANNEL_ID,
                    "Location Service Channel",
                    NotificationManager.IMPORTANCE_LOW);
            NotificationManager manager = getSystemService(NotificationManager.class);
            manager.createNotificationChannel(locationServiceChannel);
        }


    }
}
