package at.fhj.airkoality.db.room;

import android.arch.persistence.room.Dao;
import android.arch.persistence.room.Insert;
import android.arch.persistence.room.OnConflictStrategy;
import android.arch.persistence.room.Query;

import at.fhj.airkoality.model.LatestMeasurements;

@Dao
public interface LatestMeasurementsDAO {
    @Query("SELECT * FROM latest_measurements WHERE locationName = :locationName")
    LatestMeasurements getForLocation(String locationName);

    @Insert(onConflict = OnConflictStrategy.REPLACE)
    void add(LatestMeasurements latestMeasurements);
}
